On Monday, 5 March 2018 at 17:58:25 UTC, Joakim wrote:
On Monday, 5 March 2018 at 14:34:44 UTC, aberba wrote:
[snip]


The Alpine build is up, let me know if you have any problems. Note the changelog entry that says you'll need to install llvm and maybe other packages from the Alpine package manager first.

I took a shot at dockerizing dub-registry with the alpine build using multistage builds. I got ldc installed and dub built. Unfortunately when I tried to build dub-registry, I found that vibe-d's vibe-core, libevent, and libasync configurations can't run under musl due to some of the networking dependencies in druntime core, e.g. `core.sys.linux.netinet.in_`.

I realize that's something that you can't really prevent as the packager, but it's still relevant to the status of D for microservices.

Bad news: not being able to build vibe.d is a pretty big hit for this objective. Good news: there are other libraries we can try and we know how to fix this problem.

Reply via email to